VOListResponse

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.message.receive.java
Class VOListResponse

    java.lang.Object
      org.openswing.swing.message.receive.java.Response
          org.openswing.swing.message.receive.java.VOListResponse

All Implemented Interfaces:
  java.io.Serializable

public class VOListResponse
extends Response

Title: OpenSwing Framework

Description: Message received by the server side: it contains a list of value objects needed by a grid. It also contains the total number of records related to the (partial) list and a flag indicating if there are other value objects to read, after the currents.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`VOListResponse(java.util.List rows, boolean moreRows, int resultSetLength)`

Method Summary
`java.lang.String` | `getErrorMessage()`
`int` | `getResultSetLength()`
`java.util.List` | `getRows()`
`int` | `getTotalAmountOfRows()`
`boolean` | `isError()`
`boolean` | `isMoreRows()`
`void` | `setTotalAmountOfRows(int totalAmountOfRows)` Set the total amount of rows in ResultSet

Methods inherited from class org.openswing.swing.message.receive.java.Response
`getSessionId, setSessionId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VOListResponse

    public VOListResponse(java.util.List rows,
                          boolean moreRows,
                          int resultSetLength)

Parameters:
  `rows` - list of value objects
  `moreRows` - there are other rows in result set not yet loaded
  `resultSetLength` - result set length

Method Detail

### isError

    public final boolean isError()

  Specified by:
    `isError` in class `Response`
  Returns:
    `true` if an error occours, `false` otherwise

### getErrorMessage

    public final java.lang.String getErrorMessage()

  Specified by:
    `getErrorMessage` in class `Response`
  Returns:
    error message

### getRows

    public final java.util.List getRows()

  Returns:
    rows list of value objects

### isMoreRows

    public final boolean isMoreRows()

  Returns:
    there are other rows in result set not yet loaded

### getResultSetLength

    public final int getResultSetLength()

  Returns:
    result set length

### getTotalAmountOfRows

    public final int getTotalAmountOfRows()

  Returns:
    total amount of rows in ResultSet; -1 if not determined

### setTotalAmountOfRows

    public final void setTotalAmountOfRows(int totalAmountOfRows)

  Set the total amount of rows in ResultSet

  Parameters:
    `totalAmountOfRows` - total amount of rows in ResultSet

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD